
if( SERVER ) then
   
 	AddCSLuaFile( "shared.lua" ) 
 	SWEP.HoldType = "pistol";
 
 end 

 
 SWEP.Base = "ts2_base";
   
 SWEP.Spawnable			= false 
 SWEP.AdminSpawnable		= false 


SWEP.ViewModelFlip		= true;
SWEP.CSMuzzleFlashes	= true;	

SWEP.Primary.Sound = Sound( "Weapon_MAC10.Single" );

SWEP.WorldModel = "models/weapons/w_smg_mac10.mdl";
SWEP.ViewModel = "models/weapons/v_smg_mac10.mdl";

SWEP.PrintName = "Rusty MAC-10";
SWEP.TS2Desc = "High recoil, high rate of fire";


 SWEP.Primary.Recoil			= .2 
 SWEP.Primary.RecoilAdd			= .1
 SWEP.Primary.RecoilMin = .2
 SWEP.Primary.RecoilMax = .5
 
 SWEP.Primary.ViewPunchMul = .5;
 SWEP.Primary.Damage			= 5 
 SWEP.Primary.NumShots		= 1 
 
 SWEP.TS2HoldType = "SMG";

SWEP.Primary.ClipSize = 30;
SWEP.Primary.DefaultClip = 30;
SWEP.Primary.Ammo = "smg1";
SWEP.Primary.Delay = .065;
SWEP.Primary.Force = 0.5;
SWEP.Primary.RunCone = Vector( .125, .125, 0 );
SWEP.Primary.SpreadCone = Vector( .16, .16, 0 );
SWEP.Primary.CrouchSpreadCone = Vector( .09, .09, 0 );
SWEP.Primary.ViewPunch = Angle( -0.9, 0.0, 0 );
SWEP.Primary.Automatic = true;

 SWEP.Primary.IronSightPos = Vector(6.5197, 2.933, -4.5831);
 SWEP.Primary.IronSightAng = Vector(0.5993, 5.3269, 8.7508);

SWEP.Primary.HolsteredPos = Vector( 10.8, -5.0, -2.0 );
SWEP.Primary.HolsteredAng = Vector( -5.0, 50.0, 0.0 );

 SWEP.ItemWidth = 2;
 SWEP.ItemHeight = 2;

SWEP.IconCamPos = Vector( 50, -87, 5 ) 
SWEP.IconLookAt = Vector( 0, 11, 0 ) 
SWEP.IconFOV = 13

SWEP.Price = 1600
   